<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddSipProfileReq StructType
 * @subpackage Structs
 */
class AddSipProfileReq extends APIRequest
{
    /**
     * The sipProfile
     * @var XSipProfile
     */
    public $sipProfile;
    /**
     * Constructor method for AddSipProfileReq
     * @uses AddSipProfileReq::setSipProfile()
     * @param XSipProfile $sipProfile
     */
    public function __construct(XSipProfile $sipProfile = null)
    {
        $this
            ->setSipProfile($sipProfile);
    }
    /**
     * Get sipProfile value
     * @return XSipProfile|null
     */
    public function getSipProfile()
    {
        return $this->sipProfile;
    }
    /**
     * Set sipProfile value
     * @param XSipProfile $sipProfile
     * @return AddSipProfileReq
     */
    public function setSipProfile(XSipProfile $sipProfile = null)
    {
        $this->sipProfile = $sipProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddSipProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
